#
# spec file for package ghc-yi-frontend-pango
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name yi-frontend-pango
Name:           ghc-%{pkg_name}
Version:        0.13.7
Release:        lp150.1.4
Summary:        Pango frontend for Yi editor
License:        GPL-2.0+
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-glib-devel
BuildRequires:  ghc-gtk-devel
BuildRequires:  ghc-microlens-platform-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-oo-prototypes-devel
BuildRequires:  ghc-pango-devel
BuildRequires:  ghc-pointedlist-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-yi-core-devel
BuildRequires:  ghc-yi-language-devel
BuildRequires:  ghc-yi-rope-devel

%description
Pango frontend for Yi editor.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/art
%{_datadir}/%{pkg_name}-%{version}/art/c-source.png
%{_datadir}/%{pkg_name}-%{version}/art/dependencies.png
%{_datadir}/%{pkg_name}-%{version}/art/exposed-file-module.png
%{_datadir}/%{pkg_name}-%{version}/art/exposed-module.png
%{_datadir}/%{pkg_name}-%{version}/art/h-source.png
%{_datadir}/%{pkg_name}-%{version}/art/hidden-file-module.png
%{_datadir}/%{pkg_name}-%{version}/art/hidden-module.png
%{_datadir}/%{pkg_name}-%{version}/art/hs-source-folder.png
%{_datadir}/%{pkg_name}-%{version}/art/license-file.png
%{_datadir}/%{pkg_name}-%{version}/art/package.png
%{_datadir}/%{pkg_name}-%{version}/art/plain-folder.png
%{_datadir}/%{pkg_name}-%{version}/art/project.png
%{_datadir}/%{pkg_name}-%{version}/art/setup-script.png
%{_datadir}/%{pkg_name}-%{version}/art/text-file.png
%{_datadir}/%{pkg_name}-%{version}/art/yi+lambda-fat-128.png
%{_datadir}/%{pkg_name}-%{version}/art/yi+lambda-fat-16.png
%{_datadir}/%{pkg_name}-%{version}/art/yi+lambda-fat-32.png
%{_datadir}/%{pkg_name}-%{version}/art/yi+lambda-fat-64.png
%{_datadir}/%{pkg_name}-%{version}/art/yi+lambda-fat.pdf

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Wed Jun 21 2017 psimons@suse.com
- Update to version 0.13.7.
* Fri Feb 24 2017 psimons@suse.com
- Update to version 0.13.5 with cabal2obs.
